<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var caja=function(a,b,c){

               //propiedad privada
               var unidad="px";

               //propiedad publica
               
               this.ancho=a;
               this.alto=b;
               this.texto=c;

               // metodo privado
               
               function concatenar(){

                  this.ancho=this.ancho+unidad;

               };
               // metodo publico
               
               this.mensaje=function(){

                      this.texto="esto es un ejemplo";

               };

               this.mostrar=function(){

               	    alert(this.texto);
               };

		};



	</script>
</head>
<body>
	
</body>
</html>